> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/transit-classic/data-preparation/calypso-truth-on-card.md).

# Calypso Truth on Card

The following section defines the list of data elements that shall be sent within cardPersoData object in submitCardPersoData API for Calypso truth on card personalization.

| Name                     | Format                 | Description                                                                                                                                                                                         | Example                                                      |
| ------------------------ | ---------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| Calypso                  | String                 | <p>Indicates the type of Calypso application to personalize.</p><ul><li>01 for Navigo</li><li>02 for Triangle 2/Hoplink</li><li>03 for AMC</li><li>00 for other Calypso applications</li></ul>      | "00"                                                         |
| Calypso\_IssuerKeyID     | Hexa String            | <p>Issuer Key identifier (KIF KVC)<br>Used for DGI 4101</p>                                                                                                                                         | "217E"                                                       |
| Calypso\_LoadKeyID       | Hexa String            | <p>Load Key identifier (KIF KVC)<br>Used for DGI 4102</p>                                                                                                                                           | "277E"                                                       |
| Calypso\_DebitKeyID      | Hexa String            | <p>Debit Key identifier (KIF KVC)<br>Used for DGI 4103</p>                                                                                                                                          | "307E"                                                       |
| Calypso\_SignatureKey1ID | Hexa String            | <p>Key identifier (KIF KVC) that represents:</p><ul><li>Signature with HSM key for Calypso='02' or '03'</li><li>Signature Key #1 for Calypso='01'</li></ul><p>Not applicable for Calypso = '00'</p> | "EC15"                                                       |
| Calypso\_SignatureKey2ID | Hexa String            | <p>Key identifier (KIF KVC) that represents:</p><ul><li>AES-CTR ciphering key for Calypso='02' or '03'</li><li>Signature Key #2 for Calypso='01'</li></ul><p>Not applicable for Calypso = '00'</p>  | "EC45"                                                       |
| Calypso\_SignatureKey3ID | Hexa String            | <p>Key identifier (KIF KVC) that represents:</p><ul><li>PID generation key key for Calypso='03'</li></ul><p>Not applicable for Calypso = '00', '01' and '02'</p>                                    | "EC75"                                                       |
| Calypso\_SignatureKey4ID | Hexa String            | <p>Key identifier (KIF KVC) that represents:</p><ul><li>PID signature key key for Calypso='03'</li></ul><p>Not applicable for Calypso = '00', '01' and '02'</p>                                     | "EC95"                                                       |
| Calypso\_DGI\_xxxx       | Hexa String (29 bytes) | <p>Value of the DGI to personalize.<br>'xxxx' shall represent the DGI tag, e.g. Calypso\_DGI\_0903 is for DGI Tag = '0903'</p>                                                                      | "00000FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF" |

**Note:** The data element name is case sensitive.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/transit-classic/data-preparation/calypso-truth-on-card.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
